Subject: Re: [PATCH net-next] net: stmmac: propagate feature flags to vlan

From: Jakub Kicinski <[email-masked]>
Date: Thu, 13 Apr 2023 09:00:40 -0700

On Thu, 13 Apr 2023 17:25:56 +0200 Corinna Vinschen wrote:
> I tested that I can, for instance, set and reset the tx-checksumming
> flag with ethtool -K.  As for TSO, I checked the source code, and the
> function stmmac_tso_xmit handles VLANs just fine.  While different
> NICs supported by stmmac have different offload features, there's no
> indication in the driver source that VLANs have less offloading features
> than a non-VLAN connection on the same HW.  Admittedly, I never saw
> documentation explicitely claiming this.
> 
> If that's not sufficient, testing will take another day or two, because
> I have to ask for a remote test setup first.

Testing would be great, I think it's worth waiting for that.